# neutron_lib.callbacks.exceptions module

exception neutron_lib.callbacks.exceptions.CallbackFailure(errors)

  Bases: `MultipleExceptions`

  property inner_exceptions

    The list of unpacked errors for this exception.

    Returns:

      A list of unpacked errors for this exception. An unpacked error is the Exception’s ‘error’ attribute if it inherits from NotificationError, otherwise it’s the exception itself.

exception neutron_lib.callbacks.exceptions.Invalid(**kwargs)

  Bases: `NeutronException`

  message = "The value '%(value)s' for %(element)s is not valid."

class neutron_lib.callbacks.exceptions.NotificationError(callback_id, error, cancellable=False)

  Bases: `object`

  property is_cancellable

this page last updated: 2026-03-03 11:51:03

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug